html {
  box-sizing: border-box;
}

*,
*::before,
*::after {
  box-sizing: inherit;
}

:root {
  --color-white: #fff;
  --color-dark: #333;
  --color-accent: #f90;
  --color-active: #e1670e;
  --color-dirty: #cacaca;
  --bg-white-gray: #e5e5e5;
}
body {
  background: var(--bg-white-gray);
}

a,
li {
  color: inherit;
  text-decoration: none;
}

h1,
h2,
h3,
p,
ul,
figure,
html,
a {
  margin: 0;
}

img {
  max-width: 100%;
  display: block;
}

body {
  font-family: "Montserrat", sans-serif;
}
a {
  color: inherit;
  text-decoration: none;
}

/* font */

@font-face {
  font-family: "Montserrat";
  src: url("../fonts/Montserrat-Regular.woff") format("woff2"),
    url("../fonts/Montserrat-Regular.woff") format("woff");
  font-display: swap;
  font-weight: 400;
  font-style: normal;
}

@font-face {
  font-family: "Montserrat";
  src: url("../fonts/Montserrat-SemiBold.woff2") format("woff2"),
    url("../fonts/Montserrat-SemiBold.woff") format("woff");
  font-display: swap;
  font-weight: 600;
  font-style: normal;
}

@font-face {
  font-family: "Montserrat";
  src: url("../fonts/Montserrat-ExtraBold.woff2") format("woff2"),
    url("../fonts/Montserrat-ExtraBold.woff") format("woff");
  font-display: swap;
  font-weight: 800;
  font-style: normal;
}

@font-face {
  font-family: "Montserrat";
  src: url("../fonts/Montserrat-Black.woff2") format("woff2"),
    url("../fonts/Montserrat-Black.woff") format("woff");
  font-display: swap;
  font-weight: 900;
  font-style: normal;
}

/* reset */

.list-reset {
  margin: 0;
  padding: 0;
  list-style: none;
}

.btn-reset {
  border: none;
  padding: 0;
  background-color: transparent;
  cursor: pointer;
}

.img-reset {
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}

/* global */

.flex {
  display: flex;
}

.header__container {
  max-width: 1920px;
  margin: 0 auto;
}

.container {
  max-width: 1770px;
  margin: 0 auto;
}

.title {
  margin: 0;
  margin-bottom: 20px;
}

/* Заголовок */

.header__top {
  display: flex;
  align-items: center;
}

.header__logo {
  margin-right: 299px;
}

.header__nav {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  border-radius: 0px 0px 32px 32px;
  padding: 14px 75px;
  margin-bottom: 50px;
  background-color: var(--color-white);
}

.header__list {
  display: flex;
  align-items: center;
}

.header__item {
  font-size: 16px;
  line-height: 16px;
  color: var(--gray2);
  display: inline-block;

  font-family: "Montserrat";
  font-style: normal;
  font-weight: 600;
  font-size: 18px;
  line-height: 22px;
}

.header__item:not(:last-child) {
  margin-right: 85px;
}

.header__img {
  border-radius: 32px;
  background-image: url(../img/header1.png);
  max-width: 100%;
  display: block;
  padding: 100px 80px;
}

.banner-header {
  margin-bottom: 50px;
}
.title1 {
  max-width: 837px;
  color: #fff;
  font-style: normal;
  font-weight: 800;
  font-size: 70px;
  line-height: 85px;
  margin-bottom: 24px;
}

.title3 {
  max-width: 790px;
  color: #fff;
  font-weight: 700;
  font-size: 24px;
  line-height: 29px;
  margin-bottom: 90px;
}

.btn {
  padding: 25px 39px;
  font-weight: 700;
  font-size: 23px;
  line-height: 28px;
  color: #fff;
  background: #ff9900;
  border-radius: 16px;
}

.title {
  font-weight: 400;
  font-size: 48px;
  line-height: 59px;
}
.hero-descr {
  max-width: 1235px;
  font-weight: 400;
  font-size: 16px;
  line-height: 32px;
}

.hero__content {
  padding: 100px 80px;
  color: var(--color-white);
  background-image: url("../img/hero-bg.jpg");
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
}

.hero__title {
  margin: 0;
  margin-bottom: 23px;
  max-width: 850px;
  font-weight: 800;
  font-size: 70px;
  line-height: 86px;
}

.hero__descr {
  margin: 0;
  margin-bottom: 90px;
  max-width: 850px;
  font-weight: 700;
  font-size: 23px;
  letter-spacing: 0.35px;
  line-height: 29px;
}

.hero__btn {
  padding: 24px 37px;
  font-weight: 700;
  font-size: 23px;
  line-height: 29px;
  text-align: center;
  color: var(--color-white);
  background-color: var(--color-accent);
  transition: background-color 0.3s ease-in-out;
}

.hero__btn:focus {
  outline: none;
  background-color: rgba(255, 153, 0, 0.7);
}

.hero__btn:hover {
  background-color: rgba(255, 153, 0, 0.7);
}

.hero__btn:active {
  background-color: var(--color-active);
}

.about {
  padding-bottom: 50px;
}

.site-title {
  margin: 0;
  font-weight: 400;
  font-size: 48px;
  line-height: 59px;
  color: var(--color-dark);
}

.about__title {
  margin-bottom: 20px;
}

.about__descr {
  margin: 0;
  margin-bottom: 50px;
  max-width: 1240px;
  font-weight: 400;
  font-size: 16px;
  line-height: 32px;
}

.about-items {
  display: flex;
}

.about-item--big {
  display: flex;
  align-items: flex-end;
  margin-right: 30px;
  width: 49%;
  background-image: url("../img/about-item-bg.jpg");
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
}

.about-item__content {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 50px 50px;
  width: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  border-radius: 35px;
}

.about-item__text {
  margin: 0;
  margin-right: 20px;
  max-width: 480px;
  font-weight: 600;
  font-size: 16px;
  line-height: 32px;
  color: var(--color-white);
}

.about-item__btn {
  border-radius: 15px;
  border: 3px solid var(--color-accent);
  padding: 17px 36px;
  font-weight: 600;
  font-size: 16px;
  line-height: 20px;
  text-align: center;
  color: var(--color-white);
  transition: background-color 0.3s ease-in-out;
}

.about-item__btn:focus {
  outline: none;
  background-color: var(--color-accent);
}

.about-item__btn:hover {
  background-color: var(--color-accent);
}

.about-item__btn:active {
  background-color: var(--color-active);
}

.about-items__right {
  width: calc(100% - 49.2% - 30px);
}

.about-item--small {
  border: 1px solid var(--color-dirty);
  padding: 62px 300px;
  padding-right: 65px;
  background-repeat: no-repeat;
  background-position: 61px 65px;
  border-radius: 35px;
}

.about-item--small:not(:last-child) {
  margin-bottom: 30px;
}

.about-item--bg1 {
  background-image: url("../ico/about-item-1.svg");
}

.about-item--bg2 {
  background-image: url("../ico/about-item-2.svg");
}

.about-item--small .about-item__text {
  font-weight: 400;
  color: var(--color-dark);
}

.about-item__subtitle {
  display: block;
  margin-bottom: 8px;
  font-weight: 700;
  line-height: 34px;
  font-size: 24px;
}

.work {
  padding-top: 50px;
  padding-bottom: 50px;
}

.work__title {
  margin-bottom: 48px;
}

.tabs-list {
  display: flex;
  align-items: center;
  margin-bottom: 46px;
}

.tabs-list__item:not(:last-child) {
  margin-right: 86px;
}

.tabs-list__btn {
  font-weight: 400;
  font-size: 18px;
  line-height: 22px;
  color: var(--color-dark);
  transition: color 0.3s ease-in-out;
}

.tabs-list__btn:focus {
  outline: 2px solid var(--color-accent);
  outline-offset: 3px;
}

.tabs-list__btn:hover {
  color: var(--color-accent);
}

.tabs-list__btn:active {
  color: var(--color-active);
}

.tabs-item--1 {
  background-image: url("../img/works-tabs.jpg");
  background-position: right 10px;
  background-repeat: no-repeat;
  background-size: 49.15% auto;
}

.tabs-item__text {
  max-width: 43%;
}

.tabs-item__title {
  margin: 0;
  margin-bottom: 8px;
  font-weight: 700;
  font-size: 24px;
  line-height: 32px;
  color: var(--color-dark);
}

.tabs-item__descr {
  margin: 0;
  margin-bottom: 50px;
  font-weight: 400;
  font-size: 16px;
  line-height: 32px;
  color: var(--color-dark);
}

.tabs-item__btns {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
}

.tabs-item__btn {
  border-radius: 15px;
  margin-right: 32px;
  padding: 20px 39px;
  font-weight: 600;
  font-size: 16px;
  line-height: 20px;
  text-align: center;
  color: var(--color-white);
  background-color: var(--color-accent);
  transition: background-color 0.3s ease-in-out;
}

.tabs-item__btn:focus {
  outline: none;
  background-color: rgba(255, 153, 0, 0.6);
}

.tabs-item__btn:hover {
  background-color: rgba(255, 153, 0, 0.6);
}

.tabs-item__btn:active {
  background-color: var(--color-active);
}

.tabs-item__link {
  border-radius: 15px;
  border: 1px solid var(--color-dark);
  padding: 20px 37px;
  font-weight: 400;
  font-size: 16px;
  line-height: 20px;
  text-align: center;
  color: var(--color-dark);
  transition: background-color 0.3s ease-in-out, color 0.3s ease-in-out;
}

.tabs-item__link:focus {
  outline: none;
  color: var(--color-white);
  background-color: #666;
}

.tabs-item__link:hover {
  color: var(--color-white);
  background-color: #666;
}

.tabs-item__link:active {
  color: var(--color-white);
  background-color: #000;
}

.faq {
  padding-top: 60px;
  padding-bottom: 100px;
}

.faq__title {
  margin-bottom: 30px;
}

.faq__item {
  margin-top: -1px;
  border-top: 1px solid transparent;
  border-bottom: 1px solid var(--color-dirty);
  transition: border 0.3s ease-in-out;
}

.faq__item:first-child {
  margin-top: 0;
  border-top: 1px solid var(--color-dirty);
}

.faq__top {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 30px 0;
  cursor: pointer;
}

.faq__subtitle {
  margin: 0;
  font-weight: 700;
  font-size: 24px;
  letter-spacing: -0.28px;
  line-height: 32px;
  color: var(--color-dark);
  transition: color 0.3s ease-in-out;
}

.faq__icon {
  position: relative;
  display: block;
  border-radius: 100%;
  width: 50px;
  height: 50px;
  background-color: #ececec;
  transition: background-color 0.3s ease-in-out;
}

.faq__icon::before {
  content: "";
  position: absolute;
  left: 50%;
  top: 50%;
  width: 30px;
  height: 1px;
  background-color: #666;
  transform: translate(-50%, -50%);
}

.faq__icon::after {
  content: "";
  position: absolute;
  left: 50%;
  top: 50%;
  width: 1px;
  height: 30px;
  background-color: #666;
  transform: translate(-50%, -50%);
}

.faq__item:focus {
  border-top: 1px solid var(--color-accent);
  border-bottom: 1px solid var(--color-accent);
}

.faq__item:focus .faq__subtitle {
  color: var(--color-accent);
}

.faq__item:focus .faq__icon {
  background-color: var(--color-accent);
}

.faq__item:focus .faq__icon::before,
.faq__item:focus .faq__icon::after {
  background-color: #fff;
}

.faq__item:hover {
  border-top: 1px solid var(--color-accent);
  border-bottom: 1px solid var(--color-accent);
}

.faq__item:hover .faq__subtitle {
  color: var(--color-accent);
}

.faq__item:hover .faq__icon {
  background-color: var(--color-accent);
}

.faq__item:hover .faq__icon::before,
.faq__item:hover .faq__icon::after {
  background-color: #fff;
}

.footer {
  padding-top: 48px;
  padding-bottom: 46px;
  color: var(--color-white);
  background-color: #222;
}

.footer__container {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}

.footer__left {
  margin-right: 30px;
  width: 320px;
}

.footer__logo {
  display: inline-block;
  margin-bottom: 25px;
}

.footer__links {
  margin-bottom: 97px;
}

.links-list__item:not(:last-child) {
  margin-bottom: 14px;
}

.links-list__link {
  font-weight: 600;
  font-size: 18px;
  line-height: 22px;
  color: var(--color-dirty);
  transition: color 0.3s ease-in-out;
}

.links-list__link:hover {
  color: var(--color-white);
}

.social {
  display: flex;
  align-items: center;
}

.social__item:not(:last-child) {
  margin-right: 25px;
}

.social__link {
  display: inline-block;
  width: 60px;
  height: 60px;
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  transition: opacity 0.3s ease-in-out;
}

.social__link:hover {
  opacity: 0.7;
}

.social__link--ok {
  background-image: url("../ico/ok.svg");
}

.social__link--vk {
  background-image: url("../ico/vk.svg");
}

.footer__center {
  padding-top: 2px;
  transform: translateX(23px);
  margin-right: 30px;
}

.footer__title {
  margin-bottom: 24px;
  color: var(--color-dirty);
}

.form {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  width: 570px;
}

.form__field {
  border-radius: 15px;
  margin-bottom: 25px;
  border: none;
  padding: 0 24px;
  width: 100%;
  height: 60px;
  font-style: normal;
  font-weight: 400;
  font-size: 16px;
  line-height: 32px;
  color: var(--color-white);
  background-color: #414141;
}

.form__field::placeholder {
  color: var(--color-dirty);
}

.form__field--area {
  margin-bottom: 33px;
  padding-top: 15px;
  padding-bottom: 15px;
  height: 150px;
  resize: none;
}

.form__bottom {
  display: flex;
  align-items: center;
}

.form__btn {
  border-radius: 15px;
  margin-right: 22px;
  padding: 19px 50px;
  font-weight: 700;
  font-size: 16px;
  line-height: 20px;
  text-align: center;
  color: var(--color-white);
  background-color: var(--color-accent);
  transition: background-color 0.3s ease-in-out;
}

.form__btn:hover {
  background-color: rgba(255, 153, 0, 0.6);
}

.form__btn:active {
  background-color: var(--color-active);
}

.custom-checkbox {
  cursor: pointer;
  user-select: none;
}

.custom-checkbox__input {
  position: absolute;
  opacity: 0;
  width: 14px;
  height: 14px;
}

.custom-checkbox__text {
  position: relative;
  padding-left: 18px;
  font-weight: 400;
  font-size: 16px;
  line-height: 32px;
  color: var(--color-dirty);
}

.custom-checkbox__text::before {
  content: "";
  position: absolute;
  left: 0;
  top: 50%;
  box-sizing: border-box;
  border: 1px solid var(--color-dirty);
  width: 14px;
  height: 14px;
  background-position: center;
  background-repeat: no-repeat;
  transform: translateY(-50%);
}

.custom-checkbox__input:checked + .custom-checkbox__text::before {
  background-image: url("../img/check.svg");
}

.custom-checkbox__input:focus + .custom-checkbox__text {
  outline: 2px solid #fff;
}

.footer__right {
  padding-top: 89px;
  width: 363px;
}

.footer__descr {
  margin: 0;
  font-weight: 400;
  font-size: 16px;
  line-height: 32px;
  color: var(--color-dirty);
}
